### Hierarchy

- Navigator

## Index

### Methods

- currentUrl
- getGeoLocation
- getPath
- getUrlParam
- getUserVideoMedia
- goBack
- isIE
- isMobile
- reload

## Methods

### Static currentUrl

- currentUrl(): URL

- - Defined in lib/support/Navigator.ts:44

  #### Returns URL

### Static getGeoLocation

- getGeoLocation(): void

- - Defined in lib/support/Navigator.ts:14

  #### Returns void

### Static getPath

- getPath(): string

- - Defined in lib/support/Navigator.ts:52

  #### Returns string

### Static getUrlParam

- getUrlParam(name: string): null | string

- - Defined in lib/support/Navigator.ts:48

  #### Parameters

  - ##### name: string

  #### Returns null | string

### Static getUserVideoMedia

- getUserVideoMedia(): null | Promise<MediaStream>

- - Defined in lib/support/Navigator.ts:3

  #### Returns null | Promise<MediaStream>

### Static goBack

- goBack(): void

- - Defined in lib/support/Navigator.ts:60

  #### Returns void

### Static isIE

- isIE(): boolean

- - Defined in lib/support/Navigator.ts:40

  #### Returns boolean

### Static isMobile

- isMobile(): boolean

- - Defined in lib/support/Navigator.ts:31

  #### Returns boolean

### Static reload

- reload(): void

- - Defined in lib/support/Navigator.ts:56

  #### Returns void

Generated using TypeDoc